> For the complete documentation index, see [llms.txt](https://docs.1kosmos.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.1kosmos.com/mobile-sdk/native/android/api-reference/classes/facepresencelevel.md).

# FacePresenceLevel

public enum FacePresenceLevel

package com.onekosmos.blockid.sdk.cameramodule.liveID

***

An enum to determine the degree to which parameters are enforced for face detection within the mobile SDK. In cases where a face is not detected, the onFaceFocusChanged callback method of ILiveIDResponseListener will signal an error with the message "Face is not found'.

### Enum constants

| Constant | Description                                                                                                                                                 |
| -------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------- |
| LOW      | <p>Non-restrictive:<br>- Accepts minimal visibility of left and right eyes.<br>- Accepts minimal to no smile.<br>- Accepts maximum degree of face tilt.</p> |
| MEDIUM   | <p>Less restrictive:<br>- Both left and right eyes must be open and visible.<br>- A slight smile is required.<br>- Allows for a slight face tilt.</p>       |
| HIGH     | <p>Highly restrictive:<br>- Both left and right eyes must be wide open.<br>- A big smile is mandatory.<br>- Minimal to no facial tilt is permitted.</p>     |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.1kosmos.com/mobile-sdk/native/android/api-reference/classes/facepresencelevel.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
